<div class="container">
  <div class="box mb-4 {{#if wholeCardSuccess}}{{#if myComplete}}has-background-success{{/if}}{{/if}}">
    <nav class="level">
      <div class="level-left">
        <div class="level-item">
          <span class="tag is-primary">Level {{level.level}}</span>
        </div>
      </div>

      <div class="level-right is-hidden-mobile">
        <a
          class="button has-text-link is-ghost level-item"
          {{!-- TODO: link to type of level this is --}}
          href="https://docs.codechallenge.dev/en/joining/completion"
          target="_blank"
        >
          <span class="icon">
            <ion-icon name="help-circle-outline" size="large"></ion-icon>
          </span>
        </a>
        {{#if isAdmin}}
        <a
          class="button is-ghost level-item"
          href="/app/challenge/{{level.challenge_id}}/level/{{level.id}}"
        >
          <span class="icon">
            <ion-icon name="create-outline" size="large"></ion-icon>
          </span>
        </a>
      {{/if}}
      </div>
    </nav>
    <div class="mb-4">
      <h3 class="title is-size-5">
        {{level.title}}
      </h3>
      <p class="markdown subtitle is-size-6 level-desc">
        {{level.description}}
      </p>
    </div>
    <div class="is-flex is-justify-content-space-between is-align-items-center">
      <div class="is-flex is-align-items-center">
        {{#each level.tenComplete as |score|}}
          {{#if score.entrant}}
            {{#if score.entrant.picture}}
              <img
                class="image is-rounded is-32x32 is-cover"
                src="{{score.entrant.picture}}"
                alt="alt"
                style="{{#unless @first}}margin-left: -8px;{{/unless}} border-radius: 50% !important;"
              />
            {{/if}}
          {{/if}}
        {{/each}}
        <div
            class="has-background-primary-light is-relative is-size-7 is-inline-flex is-justify-content-center is-align-items-center"
            style="margin-left: -8px; width:32px; height: 32px; border-radius: 50% !important;"
          >
            {{#if level.completed}}
              {{formatnumber level.completed}}
            {{else}}
              0
            {{/if}}
          </div>
      </div>
      <div class="buttons">
        {{#if myComplete}}
        <a 
          class="button is-white is-flex is-align-items-center has-text-weight-normal"
          href="{{myComplete.ref}}"
          target="_blank"
        >
          <span class="icon is-large has-text-primary">
            ✅
          </span>
          <span class="tag is-success is-light" title="{{myComplete.complete_time}}">
            {{fromNow myComplete.complete_time}}
          </span>
        </a>
        {{else}}
        <button class="button is-white is-flex is-align-items-center has-text-weight-normal">
          <span class="icon mr-1">
            <ion-icon name="square-outline"></ion-icon>
          </span>
          <span class="tag is-warning is-light">
            Incomplete 
          </span>
        </button>
        {{/if}}
      </div>
    </div>
  </div>
</div>